import { Plugin } from 'vite';
import { ESLint } from 'eslint';

interface Options {
    /** The cache is enabled by default to decrease execution time */
    cache?: boolean;
    /** auto fix source code */
    fix?: boolean;
    /** A single file, or array of files, to include when linting */
    include?: string | string[];
    /** A single file, or array of files, to exclude when linting */
    exclude?: string | string[];
    /** custom error formatter or the name of a built-in formatter */
    formatter?: string | ESLint.Formatter;
}

declare function eslintPlugin(options?: Options): Plugin;

export default eslintPlugin;
